#!/usr/bin/env Rscript
args <- commandArgs(trailingOnly = TRUE)
#"~/HLA_Testing/Data/quant.sf"
#args[1] takes input file #Not implemented yet: args[2] takes digits of hla
quant <- read.delim(args[1])


quant$Name <- substr(quant$Name,1,(4 + 5)) #5 is number of digits #maybe replace withs args[2] in later version 

quant <- aggregate(quant[,ncol(quant)], by=list(quant$Name), FUN=sum)
colnames(quant) <- c("HLA", "SumOfReads")

quant
